Skip to main content
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
companies
/
{companyId}
/
branches
/
{id}
cURL
curl -sS -X PATCH "$FLUIDE_BASE_URL/api/v1/organizations/string/companies/string/branches/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {}
}

Path Parameters

organizationId
string
required

organizationId identifier

companyId
string
required

companyId identifier

id
string
required

Body

application/json
code
string
Maximum string length: 50
name
string
address
string | null
city
string | null
countryCode
string | null
Maximum string length: 2
organigramNodeId
string<uuid> | null
isActive
boolean

Response

Update Branch

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable outcome message (localized when i18n is configured)

Example:

"Operation completed successfully"

data
object

Endpoint-specific payload